Support » Plugin: SendPress Newsletters » On settings->permissions I get this error

Viewing 8 replies - 1 through 8 (of 8 total)
  • Just to confirm – I have deactivated all other plugins, and changed the theme back to twenty eleven and the error message still appears along the top the ‘settings’-> permissions page…

    If this is a version error, is there a file I can go into to change the default so editors can operate sendpress?

    Plugin Author itdoug

    (@itdoug)

    Going to try to get a release out in the next few days to address this. Thanks for your patience!

    Plugin Author Josh Lyford

    (@joshl)

    HI finitydesign,

    You could grab the latest code from github, it contains a fix for this problem. We will be pushing out the release soon but if you are comfortable with updating the plugin via ftp you can grab the latest code here:

    https://github.com/brewlabs/sendpress

    If you test it out could you confirm it fixes your issue.

    Thanks,
    Josh

    HI there.

    I downloaded the zip file from github – it had the same version number and the same issue unfortunately…

    Plugin Author Josh Lyford

    (@joshl)

    Hi,

    I updated the version and tried something different with the role editor. I can’t seem to reproduce the error now. Do you mind testing it again?

    thanks
    Josh

    Hi Josh

    Unfortunately still not working…

    I have 2 non-standard wordpress roles set up (director and shareholder) – would these be causing the issue?

    Plugin Author Josh Lyford

    (@joshl)

    Hi Finitydesign,

    It could be. I just committed a new version to github. This one limits the role selection to only the default WordPress ones. If you dont mind giving it another try hopefully it will fix your issue.

    Best,
    Josh

    Hi Josh

    That’s fixed it – thanks for sorting that out!

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘On settings->permissions I get this error’ is closed to new replies.